## [How to get Sphericity in R for a nested within subject design?](http://stats.stackexchange.com/questions/2104/how-to-get-sphericity-in-r-for-a-nested-within-subject-design)

Did you try the `car` package, from John Fox? It includes the function `Anova()` which is very useful when working with experimental designs. It should give you corrected p-value following Greenhouse-Geisser correction and Huynh-Feldt correction. I can post a quick R example if you wonder how to use it.

Also, there is a nice tutorial on the use of R with repeated measurements and mixed-effects model for [psychology experiments and questionnaires][1]; see Section 6.10 about sphericity.

As a sidenote, the Mauchly's Test of Sphericity is available in `mauchly.test()`, but it doesn't work with `aov` object if I remembered correctly. The [R Newsletter][2] from October 2007 includes a brief description of this topic.


  [1]: http://www.psych.upenn.edu/~baron/rpsych/rpsych.html
  [2]: http://cran.r-project.org/doc/Rnews/Rnews_2007-2.pdf 
