## [How to capture R text+image output into one file (html, doc, pdf etc)?](http://stats.stackexchange.com/questions/3151/how-to-capture-r-textimage-output-into-one-file-html-doc-pdf-etc)

Well, I just remind that I was using [Asciidoc][1] for short reporting or editing webpage. Now there's an [R plugin][2] ([ascii][3] on CRAN), which allows to embed R code into an asciidoc document. The syntax is quite similar to Markdown or Textile, so you'll learn it very fast. 

Output are (X)HTML, Docbook, LaTeX, and of course PDF through one of the last two backends.

Unfortunately, I don't think you can wrap all your code into a single statement. However, it supports a large number of R objects, see below.

    > methods(ascii)
     [1] ascii.anova*              ascii.aov*                ascii.aovlist*            ascii.cast_df*           
     [5] ascii.character*          ascii.coxph*              ascii.CrossTable*         ascii.data.frame*        
     [9] ascii.default*            ascii.density*            ascii.describe*           ascii.describe.single*   
    [13] ascii.factor*             ascii.freqtable*          ascii.ftable*             ascii.glm*               
    [17] ascii.htest*              ascii.integer*            ascii.list*               ascii.lm*                
    [21] ascii.matrix*             ascii.meanscomp*          ascii.numeric*            ascii.packageDescription*
    [25] ascii.prcomp*             ascii.sessionInfo*        ascii.simple.list*        ascii.smooth.spline*     
    [29] ascii.summary.aov*        ascii.summary.aovlist*    ascii.summary.glm*        ascii.summary.lm*        
    [33] ascii.summary.prcomp*     ascii.summary.survfit*    ascii.summary.table*      ascii.survdiff*          
    [37] ascii.survfit*            ascii.table*              ascii.ts*                 ascii.zoo*               
    
       Non-visible functions are asterisked


  [1]: http://www.methods.co.nz/asciidoc/
  [2]: http://eusebe.github.com/ascii/
  [3]: http://cran.r-project.org/web/packages/ascii/index.html
