## [Clustering genes in a time course experiment](http://stats.stackexchange.com/questions/3271/clustering-genes-in-a-time-course-experiment)

In complement to @mbq's response (`Mfuzz` looks fine), I'll just put some references (PDFs) about clustering of time-course gene expression data:

 1. Futschik, ME and Charlisle, B (2005). [Noise robust clustering of gene expression time-course data][1]. *Journal of Bioinformatics and Computational Biology*, *3(4)*, 965-988.
 2. Luan, Y and Li, H (2003). [Clustering of time-course gene expression data using a mixed-effects model with B-splines][2]. *Bioinformatics*, *19(4)*, 474-482.
 3. Tai YC and Speed, TP (2006). [A multivariate empirical Bayes statistic for replicated microarray time course data][3]. *The Annals of Statistics*, *34*, 2387–2412.
 4. Schliep, A, Steinhoff, C, and Schönhuth, A (2004). [Robust inference of groups in gene expression time-courses using mixtures of HMMs][4]. *Bioinformatics*, *20(1)*, i283-i228.
 5. Costa, IG, de Carvalho, F, and de Souto, MCP (2004). [Comparative analysis of clustering methods for gene expression time course data][5]. *Genetics and Molecular Biology*, *27(4)*, 623-631.
 6. Inoue, LYT, Neira, M, Nelson, C, Gleave, M, and Etzioni, R (2006). [Cluster-based network model for time-course gene expression data][6]. *Biostatistics*, *8(3)*, 507-525.
 7. Phang, TL, Neville, MC, Rudolph, M, and Hunter, L (2003). [Trajectory Clustering: A Non-Parametric Method for Grouping Gene Expression Time Courses with Applications to Mammary Development][7]. *Pacific Symposium on Biocomputing*, *8*, 351-362.

Did you try the `timecourse` package (as suggested by @csgillespie in his [handout][8])?


  [1]: http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.94.8014
  [2]: http://bioinformatics.oxfordjournals.org/content/19/4/474.long
  [3]: http://www.stat.berkeley.edu/~yuchuan/preprints/667.pdf
  [4]: http://bioinformatics.oxfordjournals.org/content/20/suppl_1/i283.full.pdf+html
  [5]: http://www.scielo.br/pdf/gmb/v27n4/22434.pdf
  [6]: http://biostatistics.oxfordjournals.org/content/8/3/507.short
  [7]: http://helix-web.stanford.edu/psb03/phang.pdf
  [8]: http://www.mas.ncl.ac.uk/~ncsg3/microarray/Spaper.pdf
