## [Comparing mixed effect models with the same number of degrees of freedom](http://stats.stackexchange.com/questions/3412/comparing-mixed-effect-models-with-the-same-number-of-degrees-of-freedom)

Still, you can compute confidence intervals for your fixed effects, and report AIC or BIC (see e.g. [Cnann et al.][1], Stat Med 1997 16: 2349). 

Now, you may be interested in taking a look at [Assessing model mimicry using the parametric bootstrap][2], from Wagenmakers et al. which seems to more closely resemble your initial question about assessing the quality of two competing models.

Otherwise, the two papers about measures of explained variance in LMM that come to my mind are:

* Lloyd J. Edwards, Keith E. Muller, Russell D. Wolfinger, Bahjat F. Qaqish and Oliver Schabenberger (2008). [An R2 statistic for fixed effects in the linear mixed model][3], *Statistics in Medicine*, 27(29), 6137–6157.
* Ronghui Xu (2003). Measuring explained variation in linear mixed effects models, *Statistics in Medicine*, 22(22), 3527–3541.

But maybe there are better options.


  [1]: http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.133.2052&rep=rep1&type=pdf
  [2]: http://star.psy.ohio-state.edu/coglab/People/roger/pdf/mathpsy04.pdf
  [3]: http://www.ncbi.nlm.nih.gov/pmc/articles/PMC2587505/
