## [Automatically produce summary by factor variable in R](http://stats.stackexchange.com/questions/4823/automatically-produce-summary-by-factor-variable-in-r)

Check out the `by()` or `tapply()` functions. Basically,

    tapply(y, g, mean)

will give you the mean of `y` by levels of `g`. If you want to get a data.frame from the resulting aggregated measures, use `aggregate()`. 

A more elaborated solution is available through the `summary.formula()` function in the [Hmisc][1] package.


  [1]: http://cran.r-project.org/web/packages/Hmisc/index.html
