## [What are some interesting and well-written *applied* statistics papers?](http://stats.stackexchange.com/questions/9365/what-are-some-interesting-and-well-written-applied-statistics-papers)

It's a bit difficult for me to see what paper might be of interest to you, so let me try and suggest the following ones, from the psychometric literature:

> Borsboom, D. (2006). [The attack of
> the psychometricians][1].
> *Psychometrika*, *71*, 425-440.

for dressing the scene (Why do we need to use statistical models that better reflect the underlying hypotheses commonly found in psychological research?), and 

> Borsboom, D. (2008). [Psychometric
> perspectives on diagnostic
> systems][2]. *Journal of Clinical
> Psychology*, *64*, 1089-1108.

for an applied perspective on diagnostic medicine (transition from yes/no assessment as used in the DSM-IV to the "dimensional" approach intended for the DSM-V). A larger review of latent variable models in biomedical research that I like is:

> Rabe-Hesketh, S. and Skrondal, A.
> (2008). [Classical latent variable
> models for medical research][3].
> *Statistical Methods in Medical Research*, *17(1)*, 5-32.


  [1]: http://sites.google.com/site/borsboomdenny/BorsboomPM2006.pdf?attredirects=0
  [2]: http://sites.google.com/site/borsboomdenny/PsychometricPerspectivesandDiagnosti.pdf?attredirects=0
  [3]: http://www.ncbi.nlm.nih.gov/pubmed/17855748
