## [Gnuplot: x-axis from data file, string type](http://stats.stackexchange.com/questions/7538/gnuplot-x-axis-from-data-file-string-type)

Assuming your data are stored in the file `1.dat`, stacked barcharts might be generated as follows:

    set style data histograms
    set style histogram rowstacked
    set boxwidth 1 relative
    set style fill solid 1.0 border -1
    set yrange [0:1.5]
    set datafile separator " "
    plot 'bc.dat' using 2 t "Var 1", '' using 3:xticlabels(1) t "Var 2"

As you can see, barcharts are no different from histograms (at least, from within Gnuplot). More information can be found on gnuplot [demo page][1].

![enter image description here][2]


  [1]: http://gnuplot.sourceforge.net/demo/histograms.html
  [2]: http://i.imgur.com/mlWkX.png
