## [Stepwise model selection, Hosmer-Lemeshow statistics and prediction success of model in nested logistic regression in R](http://stats.stackexchange.com/questions/11457/stepwise-model-selection-hosmer-lemeshow-statistics-and-prediction-success-of-mo)

Everything is already available in Frank Harrell's [rms][1] package (which model to choose, how to evaluate its predictive performance or how to validate it, how not to fall into the trap of overfitting or stepwise approach, etc.), with formal discussion in his textbook, *Regression Modeling Strategies* (Springer, 2001), and a nice set of handouts on his [website][2].

Also, I would recommend the following papers if you're interested in predictive modeling:

1. Aliferis, C.F., Statnikov, A., Tsamardinos, I., Schildcrout, J.S., Shepherd, B.E., and Harrell, F.E. Jr (2009). [Factors Influencing the Statistical Power of Complex Data Analysis Protocols for Molecular Signature Development from Microarray Data][3]. *PLoS ONE 4(3)*: e4922.
2. Harrell, F.E. Jr, Margolis, P.A., Gove, S., Mason, K.E., Mulholland, E.K., Lehmann, D., Muhe, L., Gatchalian, S., and Eichenwald, H.F.. (1998). [Development of a clinical prediction model for an ordinal outcome: the World Health Organization Multicentre Study of Clinical Signs and Etiological agents of Pneumonia, Sepsis and Meningitis in Young Infants. WHO/ARI Young Infant Multicentre Study Group][4]. *Statistics in Medicine*, 17(8): 909-44.
3. Harrell, F.E. Jr, Lee, K.L., and Mark, D.B. (1996). [Multivariable prognostic models: issues in developing models, evaluating assumptions and adequacy, and measuring and reducing errors][5]. *Statistics in Medicine*, 15(4): 361-87.


  [1]: http://cran.r-project.org/web/packages/rms/index.html
  [2]: http://biostat.mc.vanderbilt.edu/wiki/Main/RmS
  [3]: http://www.plosone.org/article/info:doi/10.1371/journal.pone.0004922
  [4]: http://www.lcc.uma.es/~jja/recidiva/064.pdf
  [5]: http://www.google.fr/url?sa=t&source=web&cd=1&ved=0CCUQFjAA&url=http://www.unt.edu/rss/class/Jon/MiscDocs/Harrell_1996.pdf&ei=CUe5TcbIFM2v8QPa87lA&usg=AFQjCNHuArhbPMUIgFFKkTE2eqqKLEodyg&sig2=zxnYgUuvIRj3zdAu0w-T5Q
