## [Importing time series from SQL base into R](http://stats.stackexchange.com/questions/11532/importing-time-series-from-sql-base-into-r)

Unless I missed something, you want to convert your data.frame into a suitable time-indexed series of measurement. In this case, you can use the [zoo][1] package as follows:

    > library(zoo)
    > memdata.ts <- with(memdata, zoo(vsize, date))
    > str(memdata.ts)
    ‘zoo’ series from 2011-04-22 to 2011-04-30
      Data: Factor w/ 9 levels "3535.178","4403.515",..: 1 9 8 4 2 3 5 6 7
      Index:  Factor w/ 9 levels "2011-04-22","2011-04-23",..: 1 2 3 4 5 6 7 8 9


  [1]: http://cran.r-project.org/web/packages/zoo/index.html
