## [Group differences on a five point Likert item](http://stats.stackexchange.com/questions/203/group-differences-on-a-five-point-likert-item)

Clason & Dormody discussed the issue of statistical testing for Lickert items ([Analyzing data measured by individual Likert-type items][1]). I think that a bootstraped test is ok when the two distributions look similar (bell shaped and equal variance). However, a test for categorical data (e.g. trend or Fisher test, or ordinal logistic regression) would be interesting too since it allows to check for response distribution across the item categories, see Agresti's book on *Categorical Data Analysis* (Chapter 7 on *Logit models for multinomial responses*). 

Aside from this, you can imagine situations where the t-test or any other non-parametric tests would fail if the response distribution is strongly imbalanced between the two groups. For example, if all people from group A answer 1 or 5 (in equally proportion) whereas all people in group B answer 3, then you end up with identical within-group mean and the test is not meaningful at all, though in this case the homoscedasticity assumption is largely violated.


  [1]: http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.113.2197&rep=rep1&type=pdf
