## [R package for fixed-effect logistic regression](http://stats.stackexchange.com/questions/2134/r-package-for-fixed-effect-logistic-regression)

Conditional logistic regression (I assume that this is what you refered to when talking about Chamberlain's estimator) is available through `clogit()` in the [survival][1] package. I also found this page which contains R code to estimate [conditional logit parameters][2]. The [survey][3] package also includes a lot of wrapper function for GLM and Survival model in the case of complex sampling, but I didn't look at.

Try also to look at `logit.mixed` in the [Zelig][4] package, or directly use the [lme4][5] package which provide methods for mixed-effects models with binomial link (see `lmer` or `glmer`).

Did you take a look at [Econometrics in R][6], from Grant V. Farnsworth? It seems to provide a gentle overview of applied econometrics in R (with which I am not familiar).


  [1]: http://cran.r-project.org/web/packages/survival/index.html
  [2]: http://course.wilkes.edu/Merrill/stories/storyReader$24
  [3]: http://cran.r-project.org/web/packages/survey/index.html
  [4]: http://cran.r-project.org/web/packages/Zelig/index.html
  [5]: http://cran.r-project.org/web/packages/lme4/index.html
  [6]: http://cran.r-project.org/doc/contrib/Farnsworth-EconometricsInR.pdf
