## [Recommended books or articles as introduction to Cluster Analysis?](http://stats.stackexchange.com/questions/2291/recommended-books-or-articles-as-introduction-to-cluster-analysis)

It may be worth looking at M.W. Berry's books: 

1. *Survey of Text Mining I: Clustering, Classification, and Retrieval* (2003)
2. *Survey of Text Mining II: Clustering, Classification, and Retrieval* (2008)

They consist of series of applied and review papers. The latest seems to be available as PDF at the following address: http://bit.ly/deNeiy.

Here are few links related to CA as applied to text mining: 

* [Document Topic Generation in Text Mining by Using Cluster Analysis with EROCK][1]
* [An Approach to Text Mining using Information Extraction][2]

You can also look at *Latent Semantic Analysis*, but see my response there: [Working through a clustering problem][3]. 


  [1]: http://www.cscjournals.org/csc/manuscript/Journals/IJCSS/volume4/Issue2/IJCSS-271.pdf
  [2]: http://www.google.fr/url?sa=t&source=web&cd=8&ved=0CFoQFjAH&url=http%3A%2F%2Fciteseerx.ist.psu.edu%2Fviewdoc%2Fdownload%3Fdoi%3D10.1.1.21.8862%26rep%3Drep1%26type%3Dpdf&ei=P3h_TJXfAdT34AbIuN3TCw&usg=AFQjCNHaVKyo45HtjNKiEPvFnPuvD2MvmQ&sig2=vPQ1BmIz8vb16q1Oysi8_g
  [3]: http://stats.stackexchange.com/questions/369/working-through-a-clustering-problem/2196#2196
