## [Resources for Learning Markov Chain and Hidden Markov Models](http://stats.stackexchange.com/questions/3294/resources-for-learning-markov-chain-and-hidden-markov-models)

Here are some tutorials (available as PDFs):

1. Dugad and Desai, [A tutorial on hidden markov models][1]
2. Valeria De Fonzo1, Filippo Aluffi-Pentini2 and Valerio Parisi (2007). [Hidden Markov Models in Bioinformatics][2]. *Current Bioinformatics*, *2*, 49-61.
3. Smith, K. [Hidden Markov Models in Bioinformatics with Application to Gene Finding in Human DNA][3]

Also take a look at [Bioconductor][4] tutorials. 

I assume you want free resources; otherwise, [Bioinformatics][5] from Polanski and Kimmel (Springer, 2007) provides a nice overview (§2.8-2.9) and applications (Part II).


  [1]: http://vision.ai.uiuc.edu/dugad/hmm_tut.html
  [2]: http://www.bentham.org/cbio/Samples/cbio2-1/0005CBIO.pdf
  [3]: http://www.google.fr/url?sa=t&source=web&cd=13&ved=0CCcQFjACOAo&url=http%3A%2F%2Fciteseerx.ist.psu.edu%2Fviewdoc%2Fdownload%3Fdoi%3D10.1.1.88.351%26rep%3Drep1%26type%3Dpdf&rct=j&q=bioinformatics%20introduction%20to%20markov%20chain%20HMM&ei=CKmpTJL0ENmJ4gaYraihDQ&usg=AFQjCNFy-AqKqpkKuQGOQpO42invnaLi4A&sig2=MPBuL2kvm0TVAN8JrtuvEA
  [4]: http://www.bioconductor.org
  [5]: http://www.amazon.com/Bioinformatics-Andrzej-Polanski/dp/3540241663/ref=sr_1_1?ie=UTF8&s=books&qid=1286186714&sr=8-1
