## [How to compute the confidence intervals on regression coefficients in PLS?](http://stats.stackexchange.com/questions/5364/how-to-compute-the-confidence-intervals-on-regression-coefficients-in-pls)

Do you know this article: [PLS-regression: a basic tool of chemometrics](http://www.iasbs.ac.ir/chemistry/chemometrics/history/4th/5.pdf)? Deriving SE and CI for the PLS parameters is described in §3.11. 

I generally rely on Bootstrap for computing CIs, as suggested in e.g., Abdi, H. [Partial least squares regression and projection on latent structure regression (PLS Regression)][1]. I seem to remember there are theoretical solutions discussed in Tenenhaus M. (1998) *La régression PLS: Théorie et pratique* (Technip), but I cannot check for now as I don't have the book. For now, there are some useful R packages, like [plsRglm][2].

*P.S.* I just discovered [Nicole Krämer][3]'s article, in reference to the [plsdof][4] R package.


  [1]: http://www.utdallas.edu/~herve/abdi-wireCS-PLS2010.pdf
  [2]: http://cran.r-project.org/web/packages/plsRglm/index.html
  [3]: http://128.84.158.119/pdf/1002.4112v1
  [4]: http://cran.r-project.org/web/packages/plsdof/index.html
