## [Cox model with LASSO](http://stats.stackexchange.com/questions/9785/cox-model-with-lasso)

Here are two suggestions. First, you can take a look at the [glmnet][3] package, from Friedman, Hastie and Tibshirani, but see their JSS 2010 (33) paper, [Regularization Paths for Generalized Linear Models via Coordinate Descent][4].

Second, although I've never used this kind of penalized model, I know that the [penalized][1] package implements L1/L2 penalties on GLM and the Cox model. What I found interesting in this package (this was with ordinary regression) was that you can include a set of unpenalized variables in the model.

The associated publication is now:

> Goeman J.J. (2010). [L-1 Penalized
> Estimation in the Cox Proportional
> Hazards Model][2]. *Biometrical
> Journal* 52 (1) 70-84.



  [1]: http://cran.r-project.org/web/packages/penalized/index.html
  [2]: http://onlinelibrary.wiley.com/doi/10.1002/bimj.200900028/abstract
  [3]: http://cran.r-project.org/web/packages/glmnet/index.html
  [4]: http://www.jstatsoft.org/v33/i01/paper
