## [Reporting χ2 test results in APA format](http://stats.stackexchange.com/questions/12290/reporting-chi2-test-results-in-apa-format)

Given the data you posted in your comment, here are the results I get from R:

    > x <- matrix(c(141,29,43,26,5,10,26,12,10), nc=3)
    > x
         [,1] [,2] [,3]
    [1,]  141   26   26
    [2,]   29    5   12
    [3,]   43   10   10
    > chisq.test(x)
    
    	Pearson's Chi-squared test
    
    data:  x 
    X-squared = 4.8007, df = 4, p-value = 0.3084

So, the $\chi^2$  statistic is actually 4.80. (The expected values are the ones you gave in your comment.)
