## [Online calculator for power analysis: what value to give?](http://stats.stackexchange.com/questions/15413/online-calculator-for-power-analysis-what-value-to-give)

For power/sample size analysis, you have to fix either one or the other: You're generally interested in determining the sample size to achieve a given power, or you want to know the power of a test given a certain sample size. In both cases, the type I risk ($\alpha$) is also fixed at a given value (typically, 5%), and we can accommodate group imbalance, dropouts, etc. 

Given the way statistical test of null hypothesis are framed (definition of a null hypothesis, $H_0$, and the alternative, $H_1$, yielding the acceptance and rejection regions), the calculator is asking you the expected correlation, $\rho$, under the alternative.

Now, be aware that computing power "after the fact" (so-called [post-hoc power analysis][1]) is clearly not a definitive solution if you are working with a planned design.


  [1]: http://wiki.math.yorku.ca/index.php/Statistics:_Post_hoc_power_analysis
