## [Good text for resampling?](http://stats.stackexchange.com/questions/5845/good-text-for-resampling)

As for a good reference, I would recommend Philip Good, *[Resampling Methods: A Practical Guide to Data Analysis][1]* (Birkhäuser Boston, 2005, 3rd ed.) for an applied companion textbook. And here is [An Annotated Bibliography for Bootstrap Resampling][2]. [Resampling methods: Concepts, Applications, and Justification][3] also provides a good start.

There are many R packages that facilitate the use of resampling techniques:

* [boot][4], for bootstraping -- but see also P. Burns, [The Statistical Bootstrap and Other Resampling Methods][5], for illustrations
* [coin][6], for permutation tests (bit see the accompagnying [vignette][7] which includes extensive help) 

(There are many other packages...)


  [1]: http://www.springer.com/birkhauser/applied+probability+and+statistics/book/978-0-8176-4386-7
  [2]: http://www-stat.wharton.upenn.edu/~stine/mich/bibliography.pdf
  [3]: http://www.creative-wisdom.com/pub/mirror/resampling_methods.pdf
  [4]: http://cran.r-project.org/web/packages/boot/index.html
  [5]: http://lib.stat.cmu.edu/S/Spoetry/Tutor/bootstrap_resampling.html
  [6]: http://cran.r-project.org/web/packages/coin/index.html
  [7]: http://cran.r-project.org/web/packages/coin/vignettes/coin.pdf
