## [Resources for learning to use (/create) dynamic (/interactive) statistical visualization](http://stats.stackexchange.com/questions/6375/resources-for-learning-to-use-create-dynamic-interactive-statistical-visual)

Apart from [Protovis][1] (HTML+JS) or [Mayavi][2] (Python), I would recommend [Processing][3] which is

> an open source programming language
> and environment for people who want to
> create images, animations, and
> interactions. Initially developed to
> serve as a software sketchbook and to
> teach fundamentals of computer
> programming within a visual context.

There are a lot of open-source scripts on http://www.openprocessing.org/, and a lot of [related books][4] that deal with Processing but also data visualization. 

I know there is a project to provide an R interface, [rprocessing][5], but I don't know how it goes. There's also an interface with clojure/incanter (see e.g., [Creating Processing Visualizations with Clojure and Incanter][6]).

There are many online resources, among which Stanford class notes, e.g. [CS448B][7], or [7 Classic Foundational Vis Papers You Might not Want to Publicly Confess you Don’t Know][8].


  [1]: http://vis.stanford.edu/protovis/
  [2]: http://mayavi.sourceforge.net/
  [3]: http://processing.org/
  [4]: http://processing.org/learning/books/
  [5]: https://r-forge.r-project.org/projects/rprocessing/
  [6]: http://data-sorcery.org/2009/08/30/processing-intro/
  [7]: https://graphics.stanford.edu/wikis/cs448b-10-fall
  [8]: http://fellinlovewithdata.com/guides/7-classic-foundational-vis-papers
