## [Visualize sets and their connections](http://stats.stackexchange.com/questions/17734/visualize-sets-and-their-connections)

I think you may be interested in circular displays for tabular data (in your case, a two-way table denoting the co-occurence of every binary features), as proposed through [Circos][1]; see example and on-line demo [here][2].

**Sidenote:** As an alternative, you can also take a look at [Parallel Sets][3] that were developed by Robert Kosara. See also, 

> Robert Kosara, [Turning a Table into a Tree: Growing Parallel Sets
> into a Purposeful Project][4], in Steele, Iliinsky (eds), Beautiful
> Visualization, pp. 193–204, O'Reilly Media, 2010.


  [1]: http://circos.ca/
  [2]: http://mkweb.bcgsc.ca/tableviewer/
  [3]: http://eagereyes.org/parallel-sets
  [4]: http://kosara.net/papers/2010/Kosara_BeautifulVis_2010.pdf
