## [Calculating predicted probabilities for ordinal logistic regression](http://stats.stackexchange.com/questions/19895/calculating-predicted-probabilities-for-ordinal-logistic-regression)

A [similar issue][1] was raised on Stack Overflow more than one year ago. I don't know if re-installing Zelig and its dependencies will solve your problem (especially because I would prefer to understand why this error message came up before reinstalling).

Anyway, you can use the `lrm()` function from the [rms][2] package, as it allows to fit several models for categorical outcomes including proportional odds model. There is a `predict()` (but also `Predict()`) function to get the desired predicted values. As an alternative, you may want to look at the [ordinal][3] package (see the `clm()` function).


  [1]: http://stackoverflow.com/questions/3076633/logistic-regression-using-zelig-r
  [2]: http://cran.r-project.org/web/packages/rms/index.html
  [3]: http://cran.r-project.org/web/packages/ordinal/index.html
