## [Should EFA be repeated after deletion of items with low factor loadings?](http://stats.stackexchange.com/questions/31913/should-efa-be-repeated-after-deletion-of-items-with-low-factor-loadings)

In my view, exploratory factor analysis is mainly use to identify the number of dimensions and describe a simple structure of interrelated measures. In addition, it is used to verify items cross-loadings (items loading on two or more factors), or unreliable indicators (low communality or a very low unique factor-specific loading, <.3 means less than 9% of explained variance). As the name suggests, it is [exploratory in nature][1]; you can repeat it with different subset of variables, or with some items singled out, to isolate a reliable factor structure.

Based on a pre-defined pattern matrix of item/factor loadings, a confirmatory factor model is mainly used to test hypotheses about your underlying construct (which also means you have to check assumptions for associated tests). This would obviously be a biased approach to test your factor structure on the same sample of individuals, and you will get over-optimistic measures of goodness of fit or Average Variance Extracted. In case you have a large sample, you can use some kind of internal cross-validation (e.g., split your sample using 50:50 and test factor structure on the holdout sample), but that does not guarantee the generalizability of your results beyond the sample at hand.


  [1]: http://pareonline.net/pdf/v10n7.pdf
