## [What are some valuable Statistical Analysis open source projects?](http://stats.stackexchange.com/questions/3/what-are-some-valuable-statistical-analysis-open-source-projects)

There are also those projects initiated by the FSF or redistributed under GNU General Public License, like:

* [PSPP][1], which aims to be a free alternative to SPSS
* [GRETL][2], mostly dedicated to regression and econometrics

There is even applications that were released just as a companion software for a textbook, like [JMulTi][3], but are still in use by few people.

I am still playing with [xlispstat][4], from time to time, although Lisp has been largely superseded by R (see Jan de Leeuw's overview on [Lisp vs. R][5] in the *Journal of Statistical Software*). Interestingly, one of the cofounders of the R language, Ross Ihaka, argued on the contrary that the future of statistical software is... Lisp: [Back to the Future: Lisp as a Base for a Statistical Computing System][6]. @Alex already pointed to the Clojure-based statistical environment [Incanter][7], so maybe we will see a revival of Lisp-based software in the near future? :-)


  [1]: http://www.gnu.org/software/pspp/
  [2]: http://gretl.sourceforge.net/
  [3]: http://www.jmulti.de/
  [4]: http://www.stat.uiowa.edu/~luke/xls/xlsinfo/
  [5]: http://www.jstatsoft.org/v13/i07
  [6]: http://www.stat.auckland.ac.nz/%7Eihaka/downloads/Compstat-2008.pdf
  [7]: http://incanter.org/
