## [Is there a standard method to deal with label switching problem in MCMC estimation of mixture models?](http://stats.stackexchange.com/questions/152/is-there-a-standard-method-to-deal-with-label-switching-problem-in-mcmc-estimatio)

[Gilles Celeux][1] also worked on the problem of label switching, e.g.

> G. Celeux, Bayesian inference for
> Mixture: the label switching problem.
> *Proceedings Compstat 98*, pp. 227-232, Physica-Verlag (1998).

As a complement to @darrenjw's fine answer, here are two online papers that reviewed alternative strategies: 

1. Jasra et al., [Markov Chain Monte Carlo Methods and the Label Switching Problem in Bayesian Mixture Modelling][2]
2. Sperrin et al., [Probabilistic relabelling strategies for the label switching problem in Bayesian mixture models][3]


  [1]: http://www.math.u-psud.fr/select/people/celeux/Welcome.html
  [2]: http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.105.6380&rep=rep1&type=pdf
  [3]: http://eprints.lancs.ac.uk/26391/1/labels-sc-techrep-apr09.pdf
