## [Sequential hypothesis testing in basic science](http://stats.stackexchange.com/questions/3967/sequential-hypothesis-testing-in-basic-science)

I don't know much of sequential tests and their application outside of interim analysis (Jennison and Turnbull, 2000) and computerized adaptive testing (van der Linden and Glas, 2010). One exception is in some fMRI studies that are associated to large costs and difficulty to enroll subjects. Basically, in this case sequential testing primarily aims at stopping the experiment earlier. So, I am not surprised that these very tailored approaches are not taught in usual statistical classes.

Sequential tests are not without their pitfalls, though (type I and II error have to be specified in advance, choice of the stopping rule and multiple look at results should be justified, p-values are not uniformly distributed under the null as in a fixed sample design, etc.). In most design, we work with a pre-specified experimental setting or a preliminary power study was carried out, to optimize some kind of cost-effectiveness criterion, in which case standard testing procedures apply.

I found, however, the following paper from Maik Dierkes about fixed *vs.* open sample design very interesting: [A claim for sequential designs of experiments][1].




  [1]: http://www.wiwi.uni-muenster.de/fcm/downloads/forschen/2008_A_claim_for_sequential_designs_of_experiments.pdf
