## [Graphical data overview (summary) function in R](http://stats.stackexchange.com/questions/4089/graphical-data-overview-summary-function-in-r)

Frank Harrell's [Hmisc][1] package has some basic graphics with options for annotation. But I think that was you're looking for is in the [Design][2] package: check the `summary.formula()` and related `plot` wrap functions. I also like the `describe()` function.

For additional information, have a look at the [The Hmisc Library][3] or [An Introduction to S-Plus and the Hmisc and Design Libraries][4].

Here are some pictures taken from the on-line help (`bpplt`, `describe`, and `plot(summary(...))`):
![alt text][5]
![alt text][6]
![alt text][7]

Many other examples can be browsed on-line on the [R Graphical Manual][8], see [Hmisc][9] and [Design][10].


  [1]: http://cran.r-project.org/web/packages/Hmisc/index.html
  [2]: http://cran.r-project.org/web/packages/Design/index.html
  [3]: http://lib.stat.cmu.edu/S/Harrell/Hmisc.html
  [4]: http://biostat.mc.vanderbilt.edu/twiki/pub/Main/RS/sintro.pdf
  [5]: http://i.imgur.com/KddtF.png
  [6]: http://i.imgur.com/veycp.png
  [7]: http://i.imgur.com/lgUrm.png
  [8]: http://rgm2.lab.nig.ac.jp/RGM2
  [9]: http://rgm2.lab.nig.ac.jp/RGM2/packages.php?query=package:Hmisc
  [10]: http://rgm2.lab.nig.ac.jp/RGM2/packages.php?query=package:Design
