## [Coordinate descent for the lasso or elastic net](http://stats.stackexchange.com/questions/4934/coordinate-descent-for-the-lasso-or-elastic-net)

I earlier suggested the recent paper by Friedman and coll., [Regularization Paths for Generalized Linear Models via Coordinate Descent][1], published in the Journal of Statistical Software (2010). Here are some other references that might be useful:

* [Pathwise coordinate optimization][2], by Friedman and coll.
* [Fast Regularization Paths via Coordinate Descent][3], by Hastie (UseR! 2009)
* [Coordinate descent algorithms for lasso penalized regression][4], by Wu and Lange (Ann. Appl. Stat. 2(1): 224-244, 2008; also on available on [arXiv.org][5])
* [Coordinate Descent for Sparse Solutions of Underdetermined Linear Systems of Equations][6], by Yagle (a bit too complex for me)


  [1]: http://www.jstatsoft.org/v33/i01/paper
  [2]: http://www-stat.stanford.edu/~tibs/stat315a/Supplements/fuse.pdf
  [3]: http://www-stat.stanford.edu/~hastie/TALKS/glmnet.pdf
  [4]: http://projecteuclid.org/euclid.aoas/1206367819
  [5]: http://arxiv.org/
  [6]: http://www.eecs.umich.edu/~aey/sparse/sparse9.pdf
