## [Boxplots as tables](http://stats.stackexchange.com/questions/5128/boxplots-as-tables)

I tend to think that boxplots will convey more effective information if there are numerous empirical distributions that you want to summarize into a single figure. If you only have two or three groups, editors may ask you to provide numerical summaries instead, either because it is more suitable for the journal policy, or because readers won't gain much insight into the data from a figure. If you provide the three quartiles, range, and optionally the mean $\pm$ SD, then an advertised reader should have a clear idea of the shape of the distribution (symmetry, presence of outlying values, etc.).

I would suggest two critical reviews by Andrew Gelman (the first goes the other way around, but still it provides insightful ideas):

1. Gelman, A, Pasarica, C, and Dodhia, R. [Let's practice what we preach][1]. The American Statistician (2002) 56(2): 121-130. 
2. Gelman, A. [Why Tables are Really Much Better than Graphs][2]. (also [discussed on his blog][3])


  [1]: http://www.stat.columbia.edu/~gelman/research/published/dodhia.pdf
  [2]: http://www.stat.columbia.edu/~gelman/research/published/tables4.pdf
  [3]: http://www.stat.columbia.edu/~cook/movabletype/archives/2009/04/why_tables_are.html
