## [p-vector and K-vector](http://stats.stackexchange.com/questions/5620/p-vector-and-k-vector)

It's merely some generic notation for a vector of $p$ attributes or variables observed on $i=1,\dots, N$ individuals, so that you can define $X^T = (X_1,X_2,\dots,X_p)$ as a vector of inputs, in the feature (or input) space (and each individual will have one such vector of observed inputs). 

The $K$ notation seems to be reserved to the output space: in a classical linear regression model where $Y=X\beta$, Y is a scalar ($K=1$), whereas in a multivariate setting (say, you record weight, height, and color) it could be a $K$-vector (i.e., 3-vector with my example).
