## [R-square from rpart model](http://stats.stackexchange.com/questions/5792/r-square-from-rpart-model)

The advantage of R is that most of the time you can easily access the source code. So in your case, start with

    > rsq.rpart

(without parenthesis) to see what the function actually does. The $R^2$ values are obtained as

    tmp <- printcp(fit)
    rsq.val <- 1-tmp[,c(3,4)]  

where for each row (aka, No. splits) we have the "apparent" and "relative" (wrt. cross-validation) statistics.
