## [Proc Calis (or TCalis) and p-values](http://stats.stackexchange.com/questions/6154/proc-calis-or-tcalis-and-p-values)

@mpiktas is right and knowing the value of the test statistic ($t$ or $z$) allows you to know which parameter estimate is significant at the desired $\alpha$ level. In practice, the $t$-statistic is equivalent to a $z$-score for large samples (which is often the case in SEM), and the significance thresholds are 1.96 and 2.58 for the .05 and .01 $\alpha$ levels. Most of the time, $p$-values are interesting when comparing models; as shown in this nice tutorial on [Structural equation modeling][1] using SAS, by Y H Chan, giving $t$- or $z$-statistic with associated critical values at 5% should be enough, IMO.


  [1]: http://www.sma.org.sg/smj/4612/4612bs1.pdf
