## [Two-stage clustering in R](http://stats.stackexchange.com/questions/10059/two-stage-clustering-in-r)

The closest package that I can think of is [birch][1], but it is not available on CRAN anymore so you have to get the source and install it yourself (`R CMD install birch_1.1-3.tar.gz` works fine for me, OS X 10.6 with R version 2.13.0 (2011-04-13)). It implements the original algorithm described in 

> Zhang, T. and Ramakrishnan, R. and
> Livny, M. (1997). [BIRCH: A New Data
> Clustering Algorithm and Its
> Applications][2]. *Data Mining and
> Knowledge Discovery*, *1*, 141-182.

which relies on cluster feature tree, as does SPSS TwoStep (I cannot check, though). There's a possibility of using the k-means algorithm to perform clustering on `birch` object (`kmeans.birch()`), that is partition the subclusters into k groups such that the sum of squares of all the points in each subcluster to the assigned cluster centers is minimized.


  [1]: http://cran.r-project.org/src/contrib/Archive/birch/
  [2]: http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.93.2882&rep=rep1&type=pdf
