## [What is a good source to learn about multidimensional scaling?](http://stats.stackexchange.com/questions/18432/what-is-a-good-source-to-learn-about-multidimensional-scaling)

A good textbook on multivariate data analysis, mixing introductory material and more advanced theory, is [*Modern Multivariate Statistical Techniques*](http://astro.temple.edu/~alan/MMST/), by Alan J. Izenman (Springer, 2008). A [review](http://www.jstatsoft.org/v29/b11/paper) by John Maindonald was published in the JSS.

It features a complete chapter dedicated to MDS (chapter 13), with a lot of illustration using the open-source [R](http://cran.r-project.org/) statistical software. More on R packages can be found on CRAN [Multivariate](http://cran.r-project.org/web/views/Multivariate.html) Task View, among others.

As an alternative, I would suggest the *Handbook of Applied Multivariate Statistics and Mathematical Modeling*, by Howard E. A. Tinsley and Steven D. Brown (Academic Press, 2000). Again, a complete chapter is devoted to MDS. Less mathematical background is required.

As for online reference, I can also recommend Forrest W. Young's course on [Multidimensional Scaling][1].


  [1]: http://forrest.psych.unc.edu/teaching/p230/p230.html
