## [Power calculation for a case-control study with a continuous outcome](http://stats.stackexchange.com/questions/14473/power-calculation-for-a-case-control-study-with-a-continuous-outcome)

As I said in my comment, too much information (e.g., expected % of dropouts or missing values, type of matching, one-sided or two-sided hypothesis) is missing to propose a 'magic' formula. So, for general references (apart from classical epidemiological textbook), I would recommend:

* Donner, A. [Approaches to sample size estimation in the design of clinical trials–A review][1], *Statistics in Medicine* (1984) 3:199.
* Edwardes, MD. [Sample size requirements for case-control study designs][2], *BMC Medical Research Methodology* (2001) 1:11.


  [1]: http://classes.deonandan.com/hss4303/2010/donner%201984%20sample%20size.pdf
  [2]: http://www.biomedcentral.com/1471-2288/1/11
